deactivatepackage(Event_onOwner); // for debugging
package Event_onOwner
{
	function gameConnection::autoAdminCheck(%client)
	{
		GameConnection::ownerConnect(%client);
		return Parent::autoAdminCheck(%client);
	}
	function gameConnection::onDrop(%client,%msg)
	{
		GameConnection::ownerDisconnect(%client);
		return Parent::onDrop(%client,%msg);
	}
};
activatepackage(Event_onOwner);
registerInputEvent(fxDTSBrick,"onOwnerConnect","Self fxDTSBrick	Client GameConnection");
registerInputEvent(fxDTSBrick,"onOwnerDisconnect","Self fxDTSBrick	Minigame Minigame");
function GameConnection::ownerConnect(%client)
{
	%group="BrickGroup_" @ %client.bl_id;
	if(!isObject(%group))return;
	for(%i=0;%i<%group.getCount();%i++){
		%this=%group.getObject(%i);
		$InputTarget_Self=%this;
		$InputTarget_Client=%client;
		%this.processInputEvent("onOwnerConnect",%client);
	}
}
function GameConnection::ownerDisconnect(%client)
{
	%group="BrickGroup_" @ %client.bl_id;
	if(!isObject(%group))return;
	for(%i=0;%i<%group.getCount();%i++){
		%this=%group.getObject(%i);
		$InputTarget_Self=%this;
		if(isObject(%client.minigame))
			$InputTarget_Minigame=%client.minigame;
		else
			$InputTarget_Minigame=0;
		%this.processInputEvent("onOwnerDisconnect",%client);
	}
}
